[POST] .../v1/wholesalereturnoperation/moveoprerations
Moves wholesale return operations. Use this method to move selected item lines from one DocWholeSaleReturn document to another wholesale return document. The request body must contain doc_from_id, doc_to_id and a non-empty ids array and source and destination documents must be different. Both documents must be editable and locked by the current user, the operation ids must belong to the source DocWholeSaleReturn document and the caller must have wholesale return operation move permission; missing fields, identical source and destination ids, denied access, posted documents, lock conflicts, operations from another document or persistent move errors are returned as HTTP 200 ErrorResult business errors.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| doc_from_id | Int64 | Required | Source document ID. |
| doc_to_id | Int64 | Required | Destination document ID. |
| ids | Array of Int64 | Required | Operation IDs to move from the source document to the destination document. |
Request Example
{
"ids": [
9601
],
"doc_from_id": 5601,
"doc_to_id": 5602
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Update | Update operation result. |
Response Example
{
"ok": true,
"result": {
"row_affected": 1,
"ids": [
9601
]
}
}